> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finosu.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Texts

> Returns all texts for a given customer



## OpenAPI

````yaml GET /texts/{customerId}
openapi: 3.1.0
info:
  title: Finosu API
  description: Finosu API
  license:
    name: MIT
  version: 1.0.0
servers: []
security:
  - apiKeyAuth: []
paths:
  /texts/{customerId}:
    get:
      description: Returns all texts for a given customer
      parameters:
        - name: customerId
          in: path
          description: ID of customer
          required: true
          schema:
            type: string
        - name: limit
          in: query
          description: The maximum number of results to return
          schema:
            type: string
        - name: offset
          in: query
          description: The offset of the first result to return
          schema:
            type: string
      responses:
        '200':
          description: Customer response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/NewText'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    NewText:
      type: object
      properties:
        customerId:
          description: ID of the customer
          type: string
        content:
          description: Content of the text
          type: string
        timestamp:
          description: Timestamp of the text
          type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````